import sv.kernel.DataSet;
import sv.kernel.*;

/** 
 * Config3D.java
 * Configurations for 3D(Vector)
 * @version 1.0   10/1/97 
 * @author Byeongseob Ki
 */

public final class Config3D extends Configs {
  public int plotmode = 0;
  public int gridmode = 0;
  public boolean bounding_box = false;
  public String colormap = null;
  public boolean xgrid = false;
  public boolean ygrid = false;
  public boolean zgrid = false;

  public float xtheta = 0.0f;
  public float ytheta = 0.0f;

  public Config3D() {
    // nothing to do
  }


  public Config3D(String[] args) {
     doConfig(args);
  }

  public Config3D(String arg) {
    // nothing to do
  }

  /** 
   * return color map file name
   */
  public String getColormap() {
     return colormap;
  }

  /**
   * set color map file 
   */
  public void setColorMap(String str) {
     colormap = str;
  }


  public String[] getSettings() { 
     String[] settings = {
        (new Boolean(global_mode)).toString(),
        String.valueOf(plotmode),
        String.valueOf(gridmode),
        String.valueOf(xtheta),
        String.valueOf(ytheta),
        (new Boolean(bounding_box)).toString(),
     }; 

     return settings;
  }

  public String getFileSettings() { return "None"; }

  public void doConfig(String[] args) {
     global_mode = Boolean.valueOf(args[0]).booleanValue();
     plotmode = Integer.valueOf(args[1]).intValue();
     gridmode = Integer.valueOf(args[2]).intValue();
     xtheta = Float.valueOf(args[3]).floatValue();
     ytheta = Float.valueOf(args[4]).floatValue();
     bounding_box = Boolean.valueOf(args[5]).booleanValue();
  }


} // end of class




